import { Aff, AffWord } from './aff';
import { Observable } from 'rxjs';
import { WordInfo } from './types';
export interface HunspellSrcInfo {
    aff: Aff;
    dic: Observable<string>;
}
export declare class HunspellReader {
    readonly src: HunspellSrcInfo;
    readonly aff: Aff;
    constructor(src: HunspellSrcInfo);
    /**
     * @internal
     */
    readDicWords(): Observable<WordInfo>;
    readWordsRx(): Observable<AffWord>;
    /**
     * Reads all the word combinations out of a hunspell dictionary.
     */
    readWords(): Observable<string>;
    /**
     * Reads the words in the dictionary without applying the transformation rules.
     */
    readRootWords(): Observable<string>;
    /**
     * @internal
     */
    private static readDicEntries;
    static createFromFiles(affFile: string, dicFile: string): Promise<HunspellReader>;
}
export declare class HunspellSrcInfoWithGetDic implements HunspellSrcInfo {
    aff: Aff;
    readonly getDic: () => Observable<string>;
    constructor(aff: Aff, getDic: () => Observable<string>);
    readonly dic: Observable<string>;
}
