import { Aff } from './aff';
import { Sequence } from 'gensequence';
import { WordInfo } from './types';
export interface WordInfo {
    word: string;
    rules: string;
}
export interface HunspellSrcData {
    aff: Aff;
    dic: string[];
}
export declare class IterableHunspellReader implements Iterable<string> {
    readonly src: HunspellSrcData;
    readonly aff: Aff;
    constructor(src: HunspellSrcData);
    readonly dic: string[];
    /**
     * @internal
     */
    dicWordsSeq(): Sequence<WordInfo>;
    /**
     * iterates through the root words of the dictionary
     */
    iterateRootWords(): Iterable<string>;
    iterateWords(): Iterable<string>;
    [Symbol.iterator](): Sequence<string>;
    seqAffWords(tapPreApplyRules?: (w: string) => any): Sequence<import("./aff").AffWord>;
    /**
     * @internal
     */
    seqWords(): Sequence<string>;
    /**
     * @internal
     */
    seqRootWords(): Sequence<string>;
    static createFromFiles(affFile: string, dicFile: string): Promise<IterableHunspellReader>;
}
