"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function hrTimeToSeconds([seconds, nanoseconds]) {
    return seconds + nanoseconds / 1000000000;
}
exports.hrTimeToSeconds = hrTimeToSeconds;
function uniqueFilter(historySize, key) {
    const getKey = key ? key : (a) => a;
    const f0 = new Set();
    const f1 = new Set();
    const found = [f0, f1, f0];
    let g = 0;
    return (t) => {
        const w = getKey(t);
        const p = found[g];
        if (p.has(w))
            return false;
        const s = found[g + 1];
        const r = !s.has(w);
        p.add(w);
        if (p.size >= historySize) {
            s.clear();
            g = (g + 1) % 2;
        }
        return r;
    };
}
exports.uniqueFilter = uniqueFilter;
function* batch(i, size) {
    let data = [];
    for (const t of i) {
        data.push(t);
        if (data.length === size) {
            yield data;
            data = [];
        }
    }
    if (data.length) {
        yield data;
    }
}
exports.batch = batch;
//# sourceMappingURL=util.js.map